Subject: Re: [wpan-next 0/4] ieee802154: General preparation to scan support

From: Miquel Raynal <[email-masked]>
Date: Fri, 21 Jan 2022 09:31:04 +0100

Hi Alexander,

[email-masked] wrote on Thu, 20 Jan 2022 18:31:58 -0500:

> Hi Kalle and Miquel,
> 
> On Thu, 20 Jan 2022 at 08:10, Kalle Valo <[email-masked]> wrote:
> >
> > Miquel Raynal <[email-masked]> writes:
> >  
> > > These few patches are preparation patches and light cleanups before the
> > > introduction of scan support.
> > >
> > > David Girault (4):
> > >   net: ieee802154: Move IEEE 802.15.4 Kconfig main entry
> > >   net: mac802154: Include the softMAC stack inside the IEEE 802.15.4
> > >     menu
> > >   net: ieee802154: Move the address structure earlier
> > >   net: ieee802154: Add a kernel doc header to the ieee802154_addr
> > >     structure
> > >
> > >  include/net/cfg802154.h | 28 +++++++++++++++++++---------
> > >  net/Kconfig             |  3 +--
> > >  net/ieee802154/Kconfig  |  1 +
> > >  3 files changed, 21 insertions(+), 11 deletions(-)  
> >
> > Is there a reason why you cc linux-wireless? It looks like there's a
> > separate linux-wpan list now and people who are interested about wpan
> > can join that list, right?
> >  
> 
> I thought it would make sense to cc wireless as they have similar
> paradigms constructs (probably due the fact both are IEEE standards?).
> As well we took some ideas from wireless as base. Moreover we were
> talking about things which wireless already solved.
> I was hoping to get some feedback if somebody knows the right do's and
> don'ts of managing a wireless subsystem and I am pretty sure some
> 802.11 developers have more knowledge about it than some 802.15.4
> developers (including myself).
> 
> I apologise for this. Please Miquel drop wireless for your future patch-series.

Ok, no problem!
 
> Miquel please slow down the amount of patches. First sending the
> fixes, then new features in small series one by one. And with one by
> one I mean after they are applied.

Yes no problem, I didn't want to flood you, but I was eager to share
the new sync tx implementation that we discussed earlier this week,
which meant I also needed to share the two 'small' series in between.

Thanks,
Miquèl